Jobs
Track background jobs. Jobs are submitted internally by other APIs when async execution is requested. Poll job status by ID or list all jobs.
List jobs
GET
/v1/jobsList background jobs with optional filters by type and status.
Query parameters
job_typeJobType— Filter by job typestatusstring— Filter by status (comma-separated, e.g. status=pending,running)limitinteger— Max results (default 50)offsetinteger— Offset for pagination
Response 200 — List of jobs
jobsJobStatusResponse[] — requiredattemptsinteger— required. Number of execution attempts (including the current one).completed_atstring,nullcreated_atstring— requirederror_messagestring,null— Error or warning message. Set when status isfailedorpartially_succeeded.idstring— requiredjob_typeJobType— required. Background job types returned by the API.resultnull|JobResultstatusJobStatus— required. Current status of a background job.
{
"jobs": [
{
"attempts": 0,
"completed_at": "2026-01-01T00:00:00Z",
"created_at": "2026-01-01T00:00:00Z",
"error_message": "string",
"id": "string",
"job_type": "noop",
"result": null,
"status": "pending"
}
]
}
Get job status
GET
/v1/jobs/{id}Get the current status of a background job. Poll this endpoint to track job progress.
Path parameters
idstring— required. Job ID
Response 200 — Job status
attemptsinteger— required. Number of execution attempts (including the current one).completed_atstring,nullcreated_atstring— requirederror_messagestring,null— Error or warning message. Set when status isfailedorpartially_succeeded.idstring— requiredjob_typeJobType— required. Background job types returned by the API.resultnull|JobResultstatusJobStatus— required. Current status of a background job.
{
"attempts": 0,
"completed_at": "2026-01-01T00:00:00Z",
"created_at": "2026-01-01T00:00:00Z",
"error_message": "string",
"id": "string",
"job_type": "noop",
"result": null,
"status": "pending"
}
Errors
| Status | Description |
|---|---|
404 | Job not found |